Auth0 Home Blog Docs

Building auth0-logs-to-loggly fails

log
#1

Hi,

I am trying to adapt auth0-logs-to-loggly to sends logs to Fluentd. However, I am unable to build the project:

$ yarn install --ignore-engines
yarn install v1.13.0
[1/4] Resolving packages...
success Already up-to-date.
Done in 0.79s.
$ npm run-script build
[...]
Building: auth0-logs-to-loggly@2.0.3
Unhandled rejection StatusCodeError: 400 - {"code":400,"message":"Compilation failed: Cannot find module '/data/_verquire/packages.json'","error":"Cannot find module '/data/_verquire/packages.json'","stack":"Error: Cannot find module '/data/_verquire/packages.json'\n    at Function.Module._resolveFilename (module.js:548:15)\n    at Function.WebtaskModule._resolveFilename (/data/sandbox/lib/module.js:25:27)\n    at WebtaskModule.require (/data/sandbox/lib/module.js:102:39)\n    at require (/data/sandbox/lib/module.js:137:21)\n    at Object.<anonymous> (/data/io/a336cf2b-7300-432c-b725-09292b269220/webtask.js:23:18)\n    at WebtaskModule.compileWebtask (/data/sandbox/lib/module.js:96:34)\n    at defaultJavascriptCompiler (/data/sandbox/lib/compiler.js:119:30)\n    at defaultCompiler (/data/sandbox/lib/compiler.js:128:16)\n    at /data/sandbox/lib/compiler.js:231:17\n    at /data/sandbox/node_modules/async/dist/async.js:3880:24"}
    at new StatusCodeError (/home/joost/Ontwikkeling/GoAbout/auth0-logs-to-loggly/node_modules/request-promise-core/lib/errors.js:32:15)
    at Request.plumbing.callback (/home/joost/Ontwikkeling/GoAbout/auth0-logs-to-loggly/node_modules/request-promise-core/lib/plumbing.js:104:33)
    at Request.RP$callback [as _callback] (/home/joost/Ontwikkeling/GoAbout/auth0-logs-to-loggly/node_modules/request-promise-core/lib/plumbing.js:46:31)
    at Request.self.callback (/home/joost/Ontwikkeling/GoAbout/auth0-logs-to-loggly/node_modules/request/request.js:188:22)
    at emitTwo (events.js:126:13)
    at Request.emit (events.js:214:7)
    at Request.<anonymous> (/home/joost/Ontwikkeling/GoAbout/auth0-logs-to-loggly/node_modules/request/request.js:1171:10)
    at emitOne (events.js:116:13)
    at Request.emit (events.js:211:7)
    at IncomingMessage.<anonymous> (/home/joost/Ontwikkeling/GoAbout/auth0-logs-to-loggly/node_modules/request/request.js:1091:12)
    at Object.onceWrapper (events.js:313:30)
    at emitNone (events.js:111:20)
    at IncomingMessage.emit (events.js:208:7)
    at endReadableNT (_stream_readable.js:1064:12)
    at _combinedTickCallback (internal/process/next_tick.js:139:11)
    at process._tickCallback (internal/process/next_tick.js:181:9)
[...]

Anyone know what this error means?

Also, is there any guide to developing extensions?

Best,
Joost

#3

Hey @jcassee!

Judging by commit history this project hasn’t been updated in a while and been moved to this monorepo :

I’ll try to ask the team responsible for it what might be the reason behind such error and in the meantime please try to refer to the latter repo.

Here you can also find our doc on extensions:

#4

Hi Konrad,

Thanks for the documentation link. However, it does not tell me much about developing extensions.

I tried to build the auth0-logs-to-loggly extension because the team at auth0-logs-to-provider pointed me to it after rejecting the idea of adding Fluentd as a backend in that project:

I could file another issue at that project, but it is not really about the monorepo. (The auth0-logs-to-loggly repo is archived, so I cannot create an issue there).

Best,
Joost

#5

ooooh gotchya! Let me try to advocate for it internally and see what I can get out of there!

#6

Anyone who wants to follow the thread, it will be better if you go directly to this issue on GitHub:

Thanks a lot!